Get Structured Targets
curl --request GET \
--url https://external-api.kalshi.com/trade-api/v2/structured_targetsimport requests
url = "https://external-api.kalshi.com/trade-api/v2/structured_targets"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://external-api.kalshi.com/trade-api/v2/structured_targets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"structured_targets": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"details": {},
"source_id": "<string>",
"source_ids": {},
"last_updated_ts": "2023-11-07T05:31:56Z"
}
],
"cursor": "<string>"
}structured-targets
Get Structured Targets
Page size (min: 1, max: 2000)
GET
/
structured_targets
Get Structured Targets
Query Parameters
Filter by specific structured target IDs. Pass multiple IDs by repeating the parameter (e.g. ?ids=uuid1&ids=uuid2).
Maximum array length:
2000Filter by structured target type
Example:
"basketball_player"
Filter by competition. Matches against the league, conference, division, or tour in the structured target details, or any entry in the details leagues array.
Example:
"NBA"
Number of items per page (min 1, max 2000, default 100)
Required range:
1 <= x <= 2000Pagination cursor